#!/bin/bash

echo ""
echo "usage: 2createOBSMODtable4RP instrument aor_file prop_file dir"
echo "=============================================================="
echo "instrument = PACS / PARALLEL"
echo "aor_file = AOR file to be acessed"
echo "prop_file = include full path to prop_file"
echo "dir = where you want the table to be created: should include full path"
echo ""

appdir="/herschel/software/hcss/hcss_1.2.5/linux_32bit/bin"
exstat=0
     ins=$1
     aor=$2
     HCSS_PROPS=$3
     here=$4

pwd=`pwd`
if [ $ins == 'PACS' ]; then
    grep -e "<v07:aotName" -e "<v07:PacsPhoto" -e "<v07:PacsLineSpec" -e "<v07:PacsRangeSpec" $aor > tmp
    cat tmp | awk -F ":Pacs||>Pacs" '{print $2}' | awk -F "<" '{print $1}' | awk -F ">" '{print $1}' | awk -F "Gen" '{print $1}' > tmpobsmode 
    sed s/^/Pacs/ tmpobsmode > tmpobsmode2
else
    grep -e "<v07:aotName" -e "<v07:SpirePacs" $aor > tmp
    cat tmp | awk -F ":Spire|>Spire" '{print $2}' | awk -F "<" '{print $1}' | awk -F ">" '{print $1}' | awk -F "Gen" '{print $1}' > tmpobsmode 
    sed s/^/Spire/ tmpobsmode > tmpobsmode2
fi

mv tmpobsmode2 tmpobsmode

if [ ! -e ${here}/PACS_Duration_${ins}.txt ]; then
        touch ${here}/PACS_Duration_${ins}.txt
else
        rm ${here}/PACS_Duration_${ins}.txt
fi

for file in `cat tmpobsmode` ; do
  $appdir/_launch.sh -classpath $CLASSPATH -Xmx512M -Dproperty.path="${HCSS_PROPS}" -Dhcss.cus.outputfile="${here}/msg${file}.txt" herschel.cus.gui.Cus -defdurtotal $file
  cat ${here}/msg${file}.txt >> ${here}/PACS_Duration_${ins}.txt
done
